com.google.gwt.event.logical.shared

## Interface HasAttachHandlers

- All Superinterfaces:
    HasHandlers
  All Known Implementing Classes:
    AbsolutePanel, AbstractCellTable, AbstractCellTree, AbstractHasData, AbstractNativeScrollbar, AbstractPager, Anchor, Audio, Button, ButtonBase, CalendarView, Canvas, CaptionPanel, CellBrowser, CellBrowser.BrowserCellList, CellGridImpl, CellGridImpl.Cell, CellList, CellPanel, CellTable, CellTree, CellWidget, CheckBox, ComplexPanel, Composite, CustomButton, CustomScrollPanel, DataGrid, DataGrid.TableWidget, DateBox, DateLabel, DatePicker, DatePickerComponent, DeckLayoutPanel, DeckPanel, DecoratedPopupPanel, DecoratedStackPanel, DecoratedTabBar, DecoratedTabPanel, DecoratorPanel, DefaultCalendarView, DefaultCalendarView.CellGrid, DefaultCalendarView.CellGrid.DateCell, DefaultMonthSelector, DialogBox, DialogBox.CaptionImpl, DisclosurePanel, DockLayoutPanel, DockPanel, DoubleBox, FileUpload, FlexTable, FlowPanel, FocusPanel, FocusWidget, FormPanel, Frame, Grid, HeaderPanel, Hidden, HorizontalPanel, HorizontalSplitPanel, HTML, HTMLPanel, HTMLTable, Hyperlink, Image, InlineHTML, InlineHyperlink, InlineLabel, IntegerBox, Label, LabelBase, LayoutPanel, LazyPanel, ListBox, LoggingPopup, LongBox, MediaBase, MenuBar, MonthSelector, NamedFrame, NativeHorizontalScrollbar, NativeVerticalScrollbar, NotificationMole, NumberLabel, PageSizePager, Panel, PasswordTextBox, PopupPanel, PushButton, RadioButton, RenderablePanel, ResetButton, ResizeComposite, ResizeLayoutPanel, RichTextArea, RootLayoutPanel, RootPanel, ScrollPanel, SimpleCheckBox, SimpleLayoutPanel, SimplePager, SimplePanel, SimpleRadioButton, SplitLayoutPanel, SplitLayoutPanel.HSplitter, SplitLayoutPanel.Splitter, SplitLayoutPanel.VSplitter, SplitPanel, StackLayoutPanel, StackPanel, SubmitButton, SuggestBox, TabBar, TabLayoutPanel, TabPanel, TextArea, TextBox, TextBoxBase, ToggleButton, Tree, ValueBox, ValueBoxBase, ValueBoxEditorDecorator, ValueLabel, ValueListBox, ValuePicker, VerticalPanel, VerticalSplitPanel, Video, Widget

      public interface HasAttachHandlers
      extends HasHandlers

  A widget that implements this interface is a public source of `AttachEvent` events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HandlerRegistration` | `addAttachHandler(AttachEvent.Handler handler)` Adds an `AttachEvent` handler.
    `boolean` | `isAttached()` Returns whether or not the receiver is attached to the `Document`'s `BodyElement`.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Method Detail

    - #### addAttachHandler

          HandlerRegistration addAttachHandler(AttachEvent.Handler handler)

      Adds an `AttachEvent` handler.
      Parameters:
        `handler` - the handler
      Returns:
        the handler registration

    - #### isAttached

          boolean isAttached()

      Returns whether or not the receiver is attached to the `Document`'s `BodyElement`.
      Returns:
        true if attached, false otherwise